# DCM/DFA Reporting And Trafficking API . videoFormats

## Instance Methods

Gets one video format by ID.

Lists available video formats.

### Method Details

`get(profileId, id)`

    Gets one video format by ID.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      id: integer, Video format ID. (required)

    Returns:
      An object of the form:

        { # Contains information about supported video formats.
        "fileType": "A String", # File type of the video format.
        "resolution": { # Represents the dimensions of ads, placements, creatives, or creative assets. # The resolution of this video format.
          "width": 42, # Width of this size.
          "kind": "dfareporting#size", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#size".
          "iab": True or False, # IAB standard size. This is a read-only, auto-generated field.
          "id": "A String", # ID of this size. This is a read-only, auto-generated field.
          "height": 42, # Height of this size.
        },
        "id": 42, # ID of the video format.
        "kind": "dfareporting#videoFormat", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#videoFormat".
        "targetBitRate": 42, # The target bit rate of this video format.
      }

`list(profileId)`

    Lists available video formats.

    Args:
      profileId: string, User profile ID associated with this request. (required)

    Returns:
      An object of the form:

        { # Video Format List Response
        "kind": "dfareporting#videoFormatsListResponse", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#videoFormatsListResponse".
        "videoFormats": [ # Video format collection.
          { # Contains information about supported video formats.
            "fileType": "A String", # File type of the video format.
            "resolution": { # Represents the dimensions of ads, placements, creatives, or creative assets. # The resolution of this video format.
              "width": 42, # Width of this size.
              "kind": "dfareporting#size", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#size".
              "iab": True or False, # IAB standard size. This is a read-only, auto-generated field.
              "id": "A String", # ID of this size. This is a read-only, auto-generated field.
              "height": 42, # Height of this size.
            },
            "id": 42, # ID of the video format.
            "kind": "dfareporting#videoFormat", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#videoFormat".
            "targetBitRate": 42, # The target bit rate of this video format.
          },
        ],
      }